<!DOCTYPE HTML>
<!--
	Editorial by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html lang="en">
<head>
    <title>Assignment</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
    <link rel="stylesheet" href="../assets/css/main.css" />
</head>
<body class="is-preload">

<!-- Wrapper -->
<div id="wrapper">

    <!-- Main -->
    <div id="main">
        <div class="inner">

            <!-- Header -->
            <header id="header">
                <a href="../index.html" class="logo"><strong></strong> Vladyslav Holets</a>
                <ul class="icons">
                    <!--TODO:links-->
                    <li><a href="https://www.facebook.com/VladislavHolets" class="icon brands fa-facebook-f"><span class="label">Facebook</span></a></li>
                    <li><a href="https://www.instagram.com/captainondesk/" class="icon brands fa-instagram"><span class="label">Instagram</span></a></li>
                    <li><a href="https://t.me/CaptainOnBoard" class="icon brands fa-telegram"><span class="label">Medium</span></a></li>
                    <li><a href="https://wa.me/380993880280" class="icon brands fa-whatsapp"><span class="label">Medium</span></a></li>
                </ul>
            </header>


            <!-- Content -->
            <section>
                <header class="main">
                    <h1>Project management</h1>
                </header>

<!--                <span class="image main"><img src="images/pic11.jpg" alt="" /></span>-->

                <p>The task of this week was to develop a website, where all the information on my progress is posted, and using the Git version control system upload it to the Fab Academy GitLab. If you can observe it - I nailed it:) Now let`s dive into how I did it!</p>
                <hr class="major" />
                <h2>Setting up GIT</h2>
                <p>As for current moment we are yet not connected to the common GitLab server, it was agreed to use a temporary GitHub repo for version control.</p>
                <p>There are various ways to setup a git version control system localy on your device. Since a have some decent experience on setting it up, apart from this course, and actualy having it installed on my machine for a couple of years already, I had no need in downloading it, and performing any additional settings. On the contrary, to increase my effectiveness I have decided to use Webstorm IDE integrated GIT client.</p>
                <span class="image main"><img src="../images/git%201.jpg" alt="" /></span>
                <p>This software allows me to work on my webpage, merge, pull, push, and do almost anything I might need with my GitHub remote repo, so thats why i have decided to stick up with it.</p>

                <hr class="major" />
                <h2>Website creation</h2>
                <h3>Sit on the river bank and wait, sooner or later you will see the corpse of your enemy pass...</h3>
                <h4>Sun Tzu</h4>
                <p>Being a web developer, I dont like web developing! That`s why I carefully studied all the information published on the Fab Academy page, and patiently observed the hints published by the mentors and other people, on how to create this webpage. Our mentor suggested Editorial template by HTML5 UP which turned out to be a great solution for this task. I have managed to create a webpage within merely a day!</p>
<!--                <p>Donec eget ex magna. Interdum et malesuada fames ac ante ipsum primis in faucibus. Pellentesque venenatis dolor imperdiet dolor mattis sagittis. Praesent rutrum sem diam, vitae egestas enim auctor sit amet. Pellentesque leo mauris, consectetur id ipsum sit amet, fergiat. Pellentesque in mi eu massa lacinia malesuada et a elit. Donec urna ex, lacinia in purus ac, pretium pulvinar mauris. Curabitur sapien risus, commodo eget turpis at, elementum convallis elit. Pellentesque enim turpis, hendrerit.</p>-->
<!--                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis dapibus rutrum facilisis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Etiam tristique libero eu nibh porttitor fermentum. Nullam venenatis erat id vehicula viverra. Nunc ultrices eros ut ultricies condimentum. Mauris risus lacus, blandit sit amet venenatis non, bibendum vitae dolor. Nunc lorem mauris, fringilla in aliquam at, euismod in lectus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In non lorem sit amet elit placerat maximus. Pellentesque aliquam maximus risus, vel sed vehicula. Interdum et malesuada fames ac ante ipsum primis in faucibus. Pellentesque venenatis dolor imperdiet dolor mattis sagittis. Praesent rutrum sem diam, vitae egestas enim auctor sit amet. Pellentesque leo mauris, consectetur id ipsum sit amet, fersapien risus, commodo eget turpis at, elementum convallis elit. Pellentesque enim turpis, hendrerit tristique lorem ipsum dolor.</p>-->

<!--                <hr class="major" />-->

<!--                <h2>Magna etiam veroeros</h2>-->
<!--                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis dapibus rutrum facilisis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Etiam tristique libero eu nibh porttitor fermentum. Nullam venenatis erat id vehicula viverra. Nunc ultrices eros ut ultricies condimentum. Mauris risus lacus, blandit sit amet venenatis non, bibendum vitae dolor. Nunc lorem mauris, fringilla in aliquam at, euismod in lectus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In non lorem sit amet elit placerat maximus. Pellentesque aliquam maximus risus, vel sed vehicula.</p>-->
<!--                <p>Interdum et malesuada fames ac ante ipsum primis in faucibus. Pellentesque venenatis dolor imperdiet dolor mattis sagittis. Praesent rutrum sem diam, vitae egestas enim auctor sit amet. Pellentesque leo mauris, consectetur id ipsum sit amet, fersapien risus, commodo eget turpis at, elementum convallis elit. Pellentesque enim turpis, hendrerit tristique lorem ipsum dolor.</p>-->

<!--                <hr class="major" />-->

<!--                <h2>Lorem aliquam bibendum</h2>-->
<!--                <p>Donec eget ex magna. Interdum et malesuada fames ac ante ipsum primis in faucibus. Pellentesque venenatis dolor imperdiet dolor mattis sagittis. Praesent rutrum sem diam, vitae egestas enim auctor sit amet. Pellentesque leo mauris, consectetur id ipsum sit amet, fergiat. Pellentesque in mi eu massa lacinia malesuada et a elit. Donec urna ex, lacinia in purus ac, pretium pulvinar mauris. Curabitur sapien risus, commodo eget turpis at, elementum convallis elit. Pellentesque enim turpis, hendrerit.</p>-->
<!--                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis dapibus rutrum facilisis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Etiam tristique libero eu nibh porttitor fermentum. Nullam venenatis erat id vehicula viverra. Nunc ultrices eros ut ultricies condimentum. Mauris risus lacus, blandit sit amet venenatis non, bibendum vitae dolor. Nunc lorem mauris, fringilla in aliquam at, euismod in lectus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In non lorem sit amet elit placerat maximus. Pellentesque aliquam maximus risus, vel sed vehicula.</p>-->

            </section>

        </div>
    </div>

    <!-- Sidebar -->
    <div id="sidebar">
        <div class="inner">

            <!-- Search -->
            <section id="search" class="alt">
                <form method="post" action="#">
                    <label for="query"></label><input type="text" name="query" id="query" placeholder="Search" />
                </form>
            </section>

            <!-- Menu -->
            <nav id="menu">
                <header class="major">
                    <h2>Menu</h2>
                </header>
                <ul>
                    <li><a href="../index.html">Homepage</a></li>
                    <li>
                        <span class="opener">Assignments</span>
                        <ul>
                            <li><a href="week1.html">project management</a></li>
                            <li><a href="week2.html">computer-aided design</a></li>
                            <li><a href="week3.html">computer-controlled cutting</a></li>
                            <li><a href="week4.html">electronics production</a></li>
                            <li><a href="week5.html">3D scanning and printing</a></li>
                            <li><a href="week6.html">embedded programming</a></li>
                            <li><a href="week7.html">computer-controlled machining</a></li>
                            <li><a href="week8.html">electronics design</a></li>
                            <li><a href="week9.html">output devices</a></li>
                            <li><a href="week10.html">mechanical design, machine design</a></li>
                            <li><a href="week11.html">midterm review</a></li>
                            <li><a href="week12.html">input devices</a></li>
                            <li><a href="week13.html">molding and casting</a></li>
                            <li><a href="week14.html">networking and communications</a></li>
                            <li><a href="week15.html">interface and application programming</a></li>
                            <li><a href="week16.html">wildcard week</a></li>
                            <li><a href="week17.html">applications and implications</a></li>
                            <li><a href="week18.html">invention, intellectual property, and income</a></li>
                        </ul>
                    </li>
                    <li><a href="../aboutme.html">About author</a></li>

                    <li><a href="../finalproject.html">Final project</a></li>
                    <!--<li><a href="otherprojects.html">Other projects</a></li>-->

                </ul>
            </nav>

            <!--						&lt;!&ndash; Section &ndash;&gt;-->
            <!--								<section>-->
            <!--									<header class="major">-->
            <!--										<h2>Ante interdum</h2>-->
            <!--									</header>-->
            <!--									<div class="mini-posts">-->
            <!--										<article>-->
            <!--											<a href="#" class="image"><img src="images/pic07.jpg" alt="" /></a>-->
            <!--											<p>Aenean ornare velit lacus, ac varius enim lorem ullamcorper dolore aliquam.</p>-->
            <!--										</article>-->
            <!--										<article>-->
            <!--											<a href="#" class="image"><img src="images/pic08.jpg" alt="" /></a>-->
            <!--											<p>Aenean ornare velit lacus, ac varius enim lorem ullamcorper dolore aliquam.</p>-->
            <!--										</article>-->
            <!--										<article>-->
            <!--											<a href="#" class="image"><img src="images/pic09.jpg" alt="" /></a>-->
            <!--											<p>Aenean ornare velit lacus, ac varius enim lorem ullamcorper dolore aliquam.</p>-->
            <!--										</article>-->
            <!--									</div>-->
            <!--									<ul class="actions">-->
            <!--										<li><a href="#" class="button">More</a></li>-->
            <!--									</ul>-->
            <!--								</section>-->

            <!-- Section -->
            <section>
                <header class="major">
                    <h2>Get in touch</h2>
                </header>
                <p> Lets connect! Please feel free to cntact me via social media, or with contacts, provided below.</p>
                <ul class="contact">
                    <li class="icon solid fa-envelope"><a href="#">vladislav.holets@gmail.com</a></li>
                    <li class="icon solid fa-phone">+38 (099) 388-02-80</li>
                    <li class="icon solid fa-home">Mykolaychuka str 3, Kyiv, Ukraine<br> 02175
                    </li>
                </ul>
            </section>

            <!-- Footer -->
            <footer id="footer">

            </footer>

        </div>
    </div>

</div>

<!-- Scripts -->
<script src="../assets/js/jquery.min.js"></script>
<script src="../assets/js/browser.min.js"></script>
<script src="../assets/js/breakpoints.min.js"></script>
<script src="../assets/js/util.js"></script>
<script src="../assets/js/main.js"></script>

</body>
</html>